import { MigrationApiInput, MigrationOutput } from '../api/api-types';
import { ParsedLibrary } from './reading/parsed-types';
export declare function migrateLibrary({ libraryFilePath, replacePaths, outputType, options: rawOptions, extraTrackProcessing, }: MigrationApiInput<MigrationOutput.JsonObject>): ParsedLibrary;
export declare function migrateLibrary({ libraryFilePath, replacePaths, outputType, options: rawOptions, extraTrackProcessing, }: MigrationApiInput<MigrationOutput.WriteToFile>): {
    filePath: string;
};
export declare function migrateLibrary({ libraryFilePath, replacePaths, outputType, options: rawOptions, extraTrackProcessing, }: MigrationApiInput<MigrationOutput.PlistString>): {
    plist: string;
};
export declare function migrateLibrary({ libraryFilePath, replacePaths, outputType, options: rawOptions, extraTrackProcessing, }: MigrationApiInput): {
    filePath: string;
} | {
    plist: string;
} | ParsedLibrary;
